;======================================================================
;======================================================================
; Commands file for "Mai Kawasumi"
;======================================================================
;======================================================================

;----------------------------------------------------------------------
; Button remapping and default initialize
;----------------------------------------------------------------------

[Remap]
x = x
y = y
z = z
a = a
b = b
c = c
s = s

[Defaults]
command.time = 15
command.buffer.time = 1

;----------------------------------------------------------------------
; Final Memory
;----------------------------------------------------------------------

[Command]
name = "236236z"
command = ~D, F, D, F, z
time = 20

;----------------------------------------------------------------------
; Eterny Special
;----------------------------------------------------------------------

[Command]
name = "214214c"
command = ~D, B, D, B, c
time = 20

[Command]
name = "214214b"
command = ~D, B, D, B, b
time = 20

[Command]
name = "214214a"
command = ~D, B, D, B, a
time = 20

[Command]
name = "236236c"
command = ~D, F, D, F, c
time = 20

[Command]
name = "236236b"
command = ~D, F, D, F, b
time = 20

[Command]
name = "236236a"
command = ~D, F, D, F, a
time = 20

;----------------------------------------------------------------------
; Special Moves
;----------------------------------------------------------------------

[Command]
name = "623c"
command = ~F, D, DF, c
time = 20

[Command]
name = "623b"
command = ~F, D, DF, b
time = 20

[Command]
name = "623a"
command = ~F, D, DF, a
time = 20

[Command]
name = "421z"
command = ~B, D, DB, z
time = 15

[Command]
name = "421c"
command = ~B, D, DB, c
time = 15

[Command]
name = "421b"
command = ~B, D, DB, b
time = 15

[Command]
name = "421a"
command = ~B, D, DB, a
time = 15

[Command]
name = "412z"
command = ~B, D, z
time = 10

[Command]
name = "412c"
command = ~B, D, c
time = 10

[Command]
name = "412b"
command = ~B, D, b
time = 10

[Command]
name = "412a"
command = ~B, D, a
time = 10

[Command]
name = "214z"
command = ~D, B, z
time = 10

[Command]
name = "214c"
command = ~D, B, c
time = 10

[Command]
name = "214b"
command = ~D, B, b
time = 10

[Command]
name = "214a"
command = ~D, B, a
time = 10

[Command]
name = "236z"
command = ~D, F, z
time = 10

[Command]
name = "236c"
command = ~D, F, c
time = 10

[Command]
name = "236b"
command = ~D, F, b
time = 10

[Command]
name = "236a"
command = ~D, F, a
time = 10

[Command]
name = "22z"
command = ~D, D, z
time = 15

[Command]
name = "22c"
command = ~D, D, c
time = 15

;----------------------------------------------------------------------
; Single Button
;----------------------------------------------------------------------

[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

;----------------------------------------------------------------------
; Directions
;----------------------------------------------------------------------

[Command]
name = "holdfwd"
command = /$F
time = 1

[Command]
name = "holdback"
command = /$B
time = 1

[Command]
name = "holdup"
command = /$U
time = 1

[Command]
name = "holddown"
command = /$D
time = 1

[Command]
name = "up"
command = $U
time = 1

;----------------------------------------------------------------------
; Single Button - Hold
;----------------------------------------------------------------------

[Command]
name = "holda"
command = /a
time = 1

[Command]
name = "holdb"
command = /b
time = 1

[Command]
name = "holdc"
command = /c
time = 1

;----------------------------------------------------------------------
; Others
;----------------------------------------------------------------------

[Command]
name = "ab"
command = a+b 
time = 1

[Command]
name = "bc"
command = b+c 
time = 1

[Command]
name = "ac"
command = a+c
time = 1

;----------------------------------------------------------------------
; System Required
;----------------------------------------------------------------------

[Command]
name = "FF"
command = F, F
time = 10

[Command]
name = "BB"
command = B, B
time = 10

[Command]
name = "FF_2"
command = F, F
time = 15

[Command]
name = "BB_2"
command = B, B
time = 15

[Command]
name = "DD"
command = D, D
time = 10

[Command]
name = "recovery"
command = x
time = 1

[Command]
name = "recovery"
command = y
time = 1

[Command]
name = "recovery"
command = z
time = 1

[Command]
name = "recovery"
command = a
time = 1

[Command]
name = "recovery"
command = b
time = 1

[Command]
name = "recovery"
command = c
time = 1

;======================================================================
;======================================================================
; Statedef -1
;======================================================================
;======================================================================

[Statedef -1]

;----------------------------------------------------------------------
; Hyper Special Moves
;----------------------------------------------------------------------

[State -1, AA6BC]
type = ChangeState
triggerall = command = "236236z"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = NumHelper(20000) = 0
triggerall = fvar(12) = 0
triggerall = ((Life*100)/LifeMax) <= 33
triggerall = Power >= 3000
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,320]) && (var(1) = [1,3])
trigger3 = (StateNo = 1020) && (var(1) = [1,3])
value = 7000

[State -1, AA6BC]
type = ChangeState
triggerall = command = "236236z"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = NumHelper(20000) = 0
triggerall = fvar(12) = 4
triggerall = ((Life*100)/LifeMax) <= 33
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,320]) && (var(1) = [1,3])
trigger3 = (StateNo = 1020) && (var(1) = [1,3])
value = 7300

;----------------------------------------------------------------------
; Super Special Moves
;----------------------------------------------------------------------

[State -1, 236236A]
type = ChangeState
triggerall = command = "236236a"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = Power >= 1000
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,320]) && (var(1) = [1,3])
trigger3 = (StateNo = 1020) && (var(1) = [1,3])
value = 6100

[State -1, 236236A]
type = ChangeState
triggerall = command = "236236b" || command = "236236c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = Power = [1000,1999]
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,320]) && (var(1) = [1,3])
trigger3 = (StateNo = 1020) && (var(1) = [1,3])
value = 6100

[State -1, 236236B]
type = ChangeState
triggerall = command = "236236b"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = Power >= 2000
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,320]) && (var(1) = [1,3])
trigger3 = (StateNo = 1020) && (var(1) = [1,3])
value = 6110

[State -1, 236236B]
type = ChangeState
triggerall = command = "236236c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = Power = [2000,2999]
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,320]) && (var(1) = [1,3])
trigger3 = (StateNo = 1020) && (var(1) = [1,3])
value = 6110

[State -1, 236236B]
type = ChangeState
triggerall = command = "236236c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = Power >= 3000
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,320]) && (var(1) = [1,3])
trigger3 = (StateNo = 1020) && (var(1) = [1,3])
value = 6120

[State -1, 214214A]
type = ChangeState
triggerall = command = "214214a"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = NumHelper(20000) >= 1
triggerall = Helper(20000),StateNo = 20000
triggerall = fvar(12) = 1
triggerall = Power >= 1000
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,320]) && (var(1) = [1,3])
trigger3 = (StateNo = 1020) && (var(1) = [1,3])
value = 6050

[State -1, 214214A]
type = ChangeState
triggerall = command = "214214b" || command = "214214c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = NumHelper(20000) = 1
triggerall = Helper(20000),StateNo = 20000
triggerall = fvar(12) = 1
triggerall = Power = [1000,1999]
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,320]) && (var(1) = [1,3])
trigger3 = (StateNo = 1020) && (var(1) = [1,3])
value = 6050

[State -1, 214214B]
type = ChangeState
triggerall = command = "214214b"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = NumHelper(20000) = 1
triggerall = Helper(20000),StateNo = 20000
triggerall = fvar(12) = 1
triggerall = Power >= 2000
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,320]) && (var(1) = [1,3])
trigger3 = (StateNo = 1020) && (var(1) = [1,3])
value = 6060

[State -1, 214214B]
type = ChangeState
triggerall = command = "214214c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = NumHelper(20000) = 1
triggerall = Helper(20000),StateNo = 20000
triggerall = fvar(12) = 1
triggerall = Power = [2000,2999]
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,320]) && (var(1) = [1,3])
trigger3 = (StateNo = 1020) && (var(1) = [1,3])
value = 6060

[State -1, 214214C]
type = ChangeState
triggerall = command = "214214c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = NumHelper(20000) = 1
triggerall = Helper(20000),StateNo = 20000
triggerall = fvar(12) = 1
triggerall = Power >= 3000
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,320]) && (var(1) = [1,3])
trigger3 = (StateNo = 1020) && (var(1) = [1,3])
value = 6070

[State -1, 214214A]
type = ChangeState
triggerall = command = "214214a"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = NumHelper(20000) = 0
triggerall = fvar(12) = 0
triggerall = Power >= 1000
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,320]) && (var(1) = [1,3])
trigger3 = (StateNo = 1020) && (var(1) = [1,3])
value = 6000

[State -1, 214214A]
type = ChangeState
triggerall = command = "214214b" || command = "214214c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = NumHelper(20000) = 0
triggerall = fvar(12) = 0
triggerall = Power = [1000,1999]
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,320]) && (var(1) = [1,3])
trigger3 = (StateNo = 1020) && (var(1) = [1,3])
value = 6000

[State -1, 214214B]
type = ChangeState
triggerall = command = "214214b"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = NumHelper(20000) = 0
triggerall = fvar(12) = 0
triggerall = Power >= 2000
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,320]) && (var(1) = [1,3])
trigger3 = (StateNo = 1020) && (var(1) = [1,3])
value = 6010

[State -1, 214214B]
type = ChangeState
triggerall = command = "214214c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = NumHelper(20000) = 0
triggerall = fvar(12) = 0
triggerall = Power = [2000,2999]
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,320]) && (var(1) = [1,3])
trigger3 = (StateNo = 1020) && (var(1) = [1,3])
value = 6010

[State -1, 214214B]
type = ChangeState
triggerall = command = "214214c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = NumHelper(20000) = 0
triggerall = fvar(12) = 0
triggerall = Power >= 3000
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,320]) && (var(1) = [1,3])
trigger3 = (StateNo = 1020) && (var(1) = [1,3])
value = 6020

;----------------------------------------------------------------------
; Super Moves
;----------------------------------------------------------------------

[State -1, 623A]
type = ChangeState
triggerall = command = "623a"
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [400,420]) && (var(1) = [1,3])
value = 1200

[State -1, 623B]
type = ChangeState
triggerall = command = "623b"
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [400,420]) && (var(1) = [1,3])
value = 1210

[State -1, 623C]
type = ChangeState
triggerall = command = "623c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = fvar(12) != 4
triggerall = fvar(16) != [2,3]
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [400,420]) && (var(1) = [1,3])
value = 1210

[State -1, 623C]
type = ChangeState
triggerall = command = "623c"
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = fvar(12) != 4
triggerall = (fvar(16) = 2 && fvar(15) > 100) || fvar(16) = 3 
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [400,420]) && (var(1) = [1,3])
value = 1220

[State -1, 623C]
type = ChangeState
triggerall = command = "623c"
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = fvar(12) = 4
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [400,420]) && (var(1) = [1,3])
value = 1220

[State -1, 623A]
type = ChangeState
triggerall = command = "623a"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = NumHelper(20000) = 0
triggerall = fvar(12) = 0
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,320]) && (var(1) = [1,3])
trigger3 = (StateNo = 1020) && (var(1) = [1,3])
value = 1400

[State -1, 623B]
type = ChangeState
triggerall = command = "623b"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = NumHelper(20000) = 0
triggerall = fvar(12) = 0
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,320]) && (var(1) = [1,3])
trigger3 = (StateNo = 1020) && (var(1) = [1,3])
value = 1410

[State -1, 623C]
type = ChangeState
triggerall = command = "623c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = NumHelper(20000) = 0
triggerall = fvar(12) = 0
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,320]) && (var(1) = [1,3])
trigger3 = (StateNo = 1020) && (var(1) = [1,3])
value = 1420

[State -1, 412A]
type = ChangeState
triggerall = command = "412a" || command = "421a"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,320]) && (var(1) = [1,3])
trigger3 = (StateNo = 1020) && (var(1) = [1,3])
value = 1100

[State -1, 412B]
type = ChangeState
triggerall = command = "412b" || command = "421b"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,320]) && (var(1) = [1,3])
trigger3 = (StateNo = 1020) && (var(1) = [1,3])
value = 1110

[State -1, 412C]
type = ChangeState
triggerall = command = "412c" || command = "421c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = fvar(12) != 4
triggerall = fvar(16) != [2,3]
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,320]) && (var(1) = [1,3])
trigger3 = (StateNo = 1020) && (var(1) = [1,3])
value = 1110

[State -1, 412C]
type = ChangeState
triggerall = command = "412c" || command = "421c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = fvar(12) != 4
triggerall = (fvar(16) = 2 && fvar(15) > 100) || fvar(16) = 3 
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,320]) && (var(1) = [1,3])
trigger3 = (StateNo = 1020) && (var(1) = [1,3])
value = 1120

[State -1, 412C]
type = ChangeState
triggerall = command = "412c" || command = "421c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = fvar(12) = 4
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,320]) && (var(1) = [1,3])
trigger3 = (StateNo = 1020) && (var(1) = [1,3])
value = 1120

[State -1, 236A]
type = ChangeState
triggerall = command = "236a"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = NumHelper(20000) = 0
triggerall = fvar(12) = 0
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,320]) && (var(1) = [1,3])
trigger3 = (StateNo = 1020) && (var(1) = [1,3])
value = 1300

[State -1, 236B]
type = ChangeState
triggerall = command = "236b"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = NumHelper(20000) = 0
triggerall = fvar(12) = 0
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,320]) && (var(1) = [1,3])
trigger3 = (StateNo = 1020) && (var(1) = [1,3])
value = 1310

[State -1, 236C]
type = ChangeState
triggerall = command = "236c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = fvar(16) != [2,3]
triggerall = NumHelper(20000) = 0
triggerall = fvar(12) = 0
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,320]) && (var(1) = [1,3])
trigger3 = (StateNo = 1020) && (var(1) = [1,3])
value = 1310

[State -1, 236C]
type = ChangeState
triggerall = command = "236c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = (fvar(16) = 2 && fvar(15) > 100) || fvar(16) = 3 
triggerall = NumHelper(20000) = 0
triggerall = fvar(12) = 0
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,320]) && (var(1) = [1,3])
trigger3 = (StateNo = 1020) && (var(1) = [1,3])
value = 1320

[State -1, 214A]
type = ChangeState
triggerall = command = "214a"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = NumHelper(20000) = 0
triggerall = fvar(12) = 0
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,320]) && (var(1) = [1,3])
trigger3 = (StateNo = 1020) && (var(1) = [1,3])
value = 1500

[State -1, 214A]
type = ChangeState
triggerall = command = "214a"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = NumHelper(20000) = 0
triggerall = fvar(12) = 4
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,320]) && (var(1) = [1,3])
trigger3 = (StateNo = 1020) && (var(1) = [1,3])
value = 7200

[State -1, 214B]
type = ChangeState
triggerall = command = "214b"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = NumHelper(20000) = 0
triggerall = fvar(12) = 0
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,320]) && (var(1) = [1,3])
trigger3 = (StateNo = 1020) && (var(1) = [1,3])
value = 1510

[State -1, 214B]
type = ChangeState
triggerall = command = "214b"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = NumHelper(20000) = 0
triggerall = fvar(12) = 4
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,320]) && (var(1) = [1,3])
trigger3 = (StateNo = 1020) && (var(1) = [1,3])
value = 7210

[State -1, 214C]
type = ChangeState
triggerall = command = "214c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = NumHelper(20000) = 0
triggerall = fvar(12) = 0
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,320]) && (var(1) = [1,3])
trigger3 = (StateNo = 1020) && (var(1) = [1,3])
value = 1520

[State -1, 214C]
type = ChangeState
triggerall = command = "214c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = NumHelper(20000) = 0
triggerall = fvar(12) = 4
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,320]) && (var(1) = [1,3])
trigger3 = (StateNo = 1020) && (var(1) = [1,3])
value = 7220

[State -1, Z]
type = ChangeState
triggerall = command != "236z"
triggerall = command != "22z"
triggerall = command != "412z"
triggerall = command != "214z"
triggerall = command = "z"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = fvar(12) = [0,1]
triggerall = NumHelper(20000) = 0
trigger1 = Ctrl || var(14) = 1
value = 700

[State -1, Z]
type = ChangeState
triggerall = command != "236z"
triggerall = command != "22z"
triggerall = command != "412z"
triggerall = command != "214z"
triggerall = command = "z"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = fvar(12) = [0,1]
triggerall = NumHelper(20000) = 1
triggerall = Helper(20000),StateNo = 20000
trigger1 = Ctrl || var(14) = 1
value = 701

;----------------------------------------------------------------------
; Special Moves
;----------------------------------------------------------------------

[State -1, Instant Charge]
type = ChangeState
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = (fvar(16) = 2 && fvar(15) > 100) || fvar(16) = 3 
trigger1 = (StateNo = [200,420]) && (var(1) >= 1) && command = "22c"
trigger2 = (StateNo = 510) && (AnimElemTime(6) >= 1) && command = "22c"
trigger3 = (StateNo = [1000,1999]) && (var(1) >= 1) && command = "22c"
trigger4 = (StateNo = [7100,7129]) && (var(1) >= 1) && command = "22c"
trigger5 = (StateNo = [1000,1999]) && var(16) = 1
value = 600

[State -1, Instant Charge]
type = ChangeState
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = (fvar(16) = 2 && fvar(15) > 100) || fvar(16) = 3 
trigger1 = (StateNo = [200,420]) && (var(1) >= 1) && command = "22c"
trigger2 = (StateNo = [1100,1999]) && (var(1) >= 1) && command = "22c"
trigger3 = (StateNo = [1000,1999]) && var(16) = 1
value = 610

[State -1, Dash]
type = ChangeState
triggerall = command = "FF"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = StateNo != [100,106]
trigger1 = Ctrl
value = 100

[State -1, Back Dash]
type = ChangeState
triggerall = command = "BB"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = StateNo != [100,106]
trigger1 = Ctrl
value = 105

[State -1, Air Dash]
type = ChangeState
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = StateNo != [110,116]
triggerall = var(6) = 0
trigger1 = Ctrl && command = "FF"
trigger2 = (StateNo = [400,420]) && (var(1) >= 1) && command = "FF"
trigger3 = (StateNo = [400,420]) && (var(1) >= 1) && var(27) = 1
value = 110

[State -1, Air Jump]
type = ChangeState
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(5) < 1
triggerall = ctrl
trigger1 = var(7) = 1
value = 45

[State -1, Air Back Dash]
type = ChangeState
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = StateNo != [110,116]
triggerall = var(6) = 0
trigger1 = Ctrl && command = "BB"
trigger2 = (StateNo = [400,420]) && (var(1) >= 1) && command = "BB"
trigger3 = (StateNo = [400,420]) && (var(1) >= 1) && var(27) = 2
value = 115

[State -1, Jump Cancel - in Ground]
type = ChangeState
triggerall = command = "up" || command = "holdup"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
trigger1 = (StateNo = 200) && (var(1) = [1,3])
trigger2 = (StateNo = 210) && (var(1) = [1,3])
trigger3 = (StateNo = 220) && (var(1) = 1)
trigger4 = (StateNo = 300) && (var(1) = [1,3])
trigger5 = (StateNo = 310) && (var(1) = 1)
trigger6 = (StateNo = 320) && (var(1) = 1)
trigger7 = (StateNo = 1000) && (var(1) = 1)
trigger8 = (StateNo = 7100) && (var(1) = 1)
trigger9 = (StateNo = 7110) && (var(1) = 1)
value = 40

[State -1, Dash Jump]
type = Null;ChangeState
triggerall = command = "up"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
trigger1 = StateNo = 100
value = 40

[State -1, Jump Cancel - in Air]
type = ChangeState
triggerall = command = "up" || command = "holdup"
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = var(5) < 1
triggerall = var(1) = [1,3]
trigger1 = StateNo = [400,420]
trigger2 = StateNo = 370
value = 45

[State -1, Throw - in Ground]
type = ChangeState
triggerall = command = "c"
triggerall = StateType = S
triggerall = MoveType = I
triggerall = P2BodyDist X < 20
triggerall = P2MoveType != H
triggerall = P2StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = ctrl
triggerall = P2StateNo != [120,155]
trigger1 = command = "holdfwd"
trigger2 = command = "holdback"
value = 500

[State -1, Throw - in Ariel]
type = ChangeState
triggerall = command = "c"
triggerall = StateType = A
triggerall = P2StateType = A
triggerall = P2BodyDist X < 20
triggerall = Alive
triggerall = !isHelper
triggerall = P2StateNo != [120,155]
triggerall = ctrl
trigger1 = command = "holdfwd"
value = 520

;----------------------------------------------------------------------
; Basic Attacks
;----------------------------------------------------------------------

[State -1, Stand Light Attack]
type = ChangeState
triggerall = command = "a"
triggerall = command != "holddown"
triggerall = command != "holdfwd"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
trigger1 = Ctrl || var(14) = 1
trigger2 = StateNo = 200 && (var(1) = [1,3])
value = 200

[State -1, 6A]
type = ChangeState
triggerall = command = "a"
triggerall = command != "holddown"
triggerall = command = "holdfwd"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = fvar(12) != 4
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,320]) && (var(1) = [1,3])
value = 1000

[State -1, 6A]
type = ChangeState
triggerall = command = "a"
triggerall = command != "holddown"
triggerall = command = "holdfwd"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = fvar(12) = 4
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,320]) && (var(1) = [1,3])
trigger3 = StateNo = 1100 && AnimElemTime(7) >= 0
trigger4 = StateNo = 1110 && AnimElemTime(7) >= 0
trigger5 = StateNo = 1120 && AnimElemTime(7) >= 0
trigger6 = StateNo = 1120 && (var(1) = [1,3])
value = 7100

[State -1, Stand Medium Attack(Near)]
type = ChangeState
triggerall = command = "b"
triggerall = command != "holddown"
triggerall = command != "holdfwd"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = P2BodyDist X <= 40
trigger1 = Ctrl || var(14) = 1
trigger2 = StateNo = 200 && (var(1) = [1,3])
trigger3 = StateNo = 300 && (var(1) = [1,3])
value = 210

[State -1, Stand Medium Attack(far)]
type = ChangeState
triggerall = command = "b"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = command != "holddown"
triggerall = command != "holdfwd"
trigger1 = P2BodyDist X > 40
trigger1 = Ctrl || var(14) = 1
trigger2 = P2BodyDist X > 40
trigger2 = StateNo = 200 && (var(1) = [1,3])
trigger3 = StateNo = 210 && (var(1) = [1,3])
trigger4 = P2BodyDist X > 40
trigger4 = StateNo = 300 && (var(1) = [1,3])
value = 220

[State -1, Stand Medium Attack(far)]
type = ChangeState
triggerall = command = "b"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = command != "holdfwd"
trigger1 = StateNo = 310 && (var(1) = [1,3])
value = 220

[State -1, 6B]
type = ChangeState
triggerall = command = "b"
triggerall = command != "holddown"
triggerall = command = "holdfwd"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = fvar(12) != 4
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,320]) && (var(1) = [1,3])
value = 1010

[State -1, 6B]
type = ChangeState
triggerall = command = "b"
triggerall = command != "holddown"
triggerall = command = "holdfwd"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = fvar(12) = 4
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,320]) && (var(1) = [1,3])
trigger3 = StateNo = 1100 && AnimElemTime(7) >= 0
trigger4 = StateNo = 1110 && AnimElemTime(7) >= 0
trigger5 = StateNo = 1120 && AnimElemTime(7) >= 0
trigger6 = StateNo = 1120 && (var(1) = [1,3])
value = 7110

[State -1, Stand Strong Attack]
type = ChangeState
triggerall = command = "c"
triggerall = command != "holddown"
triggerall = command != "holdfwd"
triggerall = command != "holdback"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
trigger1 = Ctrl || var(14) = 1
trigger2 = StateNo = 200 && (var(1) = [1,3])
trigger3 = StateNo = 210 && (var(1) = [1,3])
trigger4 = StateNo = 220 && (var(1) = [1,3])
trigger5 = StateNo = 300 && (var(1) = [1,3])
trigger6 = StateNo = 310 && (var(1) = [1,3])
value = 230

[State -1, 4C]
type = ChangeState
triggerall = command = "c"
triggerall = command != "holddown"
triggerall = command != "holdfwd"
triggerall = command = "holdback"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
trigger1 = Ctrl || var(14) = 1
value = 240

[State -1, 6C]
type = ChangeState
triggerall = command = "c"
triggerall = command != "holddown"
triggerall = command = "holdfwd"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = fvar(12) != 4
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,230]) && (var(1) = [1,3])
trigger3 = (StateNo = [300,320]) && (var(1) = [1,3])
value = 1020

[State -1, 6C]
type = ChangeState
triggerall = command = "c"
triggerall = command != "holddown"
triggerall = command = "holdfwd"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = fvar(12) = 4
trigger1 = Ctrl || var(14) = 1
trigger2 = (StateNo = [200,320]) && (var(1) = [1,3])
trigger3 = StateNo = 1100 && AnimElemTime(7) >= 0
trigger4 = StateNo = 1110 && AnimElemTime(7) >= 0
trigger5 = StateNo = 1120 && AnimElemTime(7) >= 0
trigger6 = StateNo = 1120 && (var(1) = [1,3])
value = 7120

[State -1, Crouch Light Attack]
type = ChangeState
triggerall = command = "a"
triggerall = command = "holddown"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
trigger1 = Ctrl || var(14) = 1
trigger2 = StateNo = 300 && (AnimElemTime(2) >= 1)
value = 300

[State -1, Crouch Medium Attack]
type = ChangeState
triggerall = command = "b"
triggerall = command = "holddown"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
trigger1 = Ctrl || var(14) = 1
trigger2 = StateNo = 200 && (var(1) = [1,3])
trigger3 = StateNo = 300 && (var(1) = [1,3])
value = 310

[State -1, Crouch Strong Attack]
type = ChangeState
triggerall = command = "c"
triggerall = command = "holddown"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
trigger1 = Ctrl || var(14) = 1
trigger2 = StateNo = 200 && (var(1) = [1,3])
trigger3 = StateNo = 210 && (var(1) = [1,3])
trigger4 = StateNo = 220 && (var(1) = [1,3])
trigger5 = StateNo = 300 && (var(1) = [1,3])
trigger6 = StateNo = 310 && (var(1) = [1,3])
value = 320

[State -1, Ariel Light Attack]
type = ChangeState
triggerall = command = "a"
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
trigger1 = Ctrl || var(14) = 1
trigger2 = StateNo = 400 && (var(1) = [1,3])
value = 400

[State -1, Ariel Medium Attack]
type = ChangeState
triggerall = command = "b"
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
trigger1 = Ctrl || var(14) = 1
trigger2 = StateNo = 400 && (var(1) = [1,3])
value = 410

[State -1, Ariel Strong Attack]
type = ChangeState
triggerall = command = "c"
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
trigger1 = Ctrl || var(14) = 1
trigger2 = StateNo = 400 && (var(1) = [1,3])
trigger3 = StateNo = 410 && (var(1) = [1,3])
value = 420

;======================================================================
;======================================================================
; Early Input
;======================================================================
;======================================================================

;----------------------------------------------------------------------
; Basic Attacks
;----------------------------------------------------------------------

[State -1, 6A]
type = VarSet
triggerall = command = "a"
triggerall = command != "holddown"
triggerall = command = "holdfwd"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = fvar(12) != 4
trigger1 = StateNo = 125
var(18) = 1000

[State -1, 6A]
type = VarSet
triggerall = command = "a"
triggerall = command != "holddown"
triggerall = command = "holdfwd"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = fvar(12) = 4
trigger1 = StateNo = 125
trigger4 = StateNo = 1110 && AnimElemTime(7) >= 0
trigger5 = StateNo = 1120 && AnimElemTime(7) >= 0
trigger6 = StateNo = 1120 && (var(1) = [1,3])
var(18) = 7100

[State -1, 6B]
type = VarSet
triggerall = command = "b"
triggerall = command != "holddown"
triggerall = command = "holdfwd"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = fvar(12) != 4
trigger1 = StateNo = 125
var(18) = 1010

[State -1, 6B]
type = VarSet
triggerall = command = "b"
triggerall = command != "holddown"
triggerall = command = "holdfwd"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = fvar(12) = 4
trigger1 = StateNo = 125
trigger4 = StateNo = 1110 && AnimElemTime(7) >= 0
trigger5 = StateNo = 1120 && AnimElemTime(7) >= 0
trigger6 = StateNo = 1120 && (var(1) = [1,3])
var(18) = 7110

[State -1, 4C]
type = VarSet
triggerall = command = "c"
triggerall = command != "holddown"
triggerall = command != "holdfwd"
triggerall = command = "holdback"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
trigger1 = StateNo = 125
var(18) = 240

[State -1, 6C]
type = VarSet
triggerall = command = "c"
triggerall = command != "holddown"
triggerall = command = "holdfwd"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = fvar(12) != 4
trigger1 = StateNo = 125
var(18) = 1020

[State -1, 6C]
type = VarSet
triggerall = command = "c"
triggerall = command != "holddown"
triggerall = command = "holdfwd"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = fvar(12) = 4
trigger1 = StateNo = 125
trigger4 = StateNo = 1110 && AnimElemTime(7) >= 0
trigger5 = StateNo = 1120 && AnimElemTime(7) >= 0
trigger6 = StateNo = 1120 && (var(1) = [1,3])
var(18) = 7120

;----------------------------------------------------------------------
; Super Moves
;----------------------------------------------------------------------

[State -1, 623A]
type = VarSet
triggerall = command = "623a"
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
trigger1 = StateNo = 125
var(18) = 1200

[State -1, 623B]
type = VarSet
triggerall = command = "623b"
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
trigger1 = StateNo = 125
var(18) = 1210

[State -1, 623C]
type = VarSet
triggerall = command = "623c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = fvar(12) != 4
triggerall = fvar(16) != [2,3]
trigger1 = StateNo = 125
var(18) = 1210

[State -1, 623C]
type = VarSet
triggerall = command = "623c"
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = fvar(12) != 4
triggerall = (fvar(16) = 2 && fvar(15) > 100) || fvar(16) = 3 
trigger1 = StateNo = 125
var(18) = 1220

[State -1, 623C]
type = VarSet
triggerall = command = "623c"
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = fvar(12) = 4
trigger1 = StateNo = 125
var(18) = 1220

[State -1, 623A]
type = VarSet
triggerall = command = "623a"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = NumHelper(20000) = 0
triggerall = fvar(12) = 0
trigger1 = StateNo = 125
var(18) = 1400

[State -1, 623B]
type = VarSet
triggerall = command = "623b"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = NumHelper(20000) = 0
triggerall = fvar(12) = 0
trigger1 = StateNo = 125
var(18) = 1410

[State -1, 623C]
type = VarSet
triggerall = command = "623c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = NumHelper(20000) = 0
triggerall = fvar(12) = 0
trigger1 = StateNo = 125
var(18) = 1420

[State -1, 412A]
type = VarSet
triggerall = command = "412a" || command = "421a"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
trigger1 = StateNo = 125
var(18) = 1100

[State -1, 412B]
type = VarSet
triggerall = command = "412b" || command = "421b"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
trigger1 = StateNo = 125
var(18) = 1110

[State -1, 412C]
type = VarSet
triggerall = command = "412c" || command = "421c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = fvar(12) != 4
triggerall = fvar(16) != [2,3]
trigger1 = StateNo = 125
var(18) = 1110

[State -1, 412C]
type = VarSet
triggerall = command = "412c" || command = "421c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = fvar(12) != 4
triggerall = (fvar(16) = 2 && fvar(15) > 100) || fvar(16) = 3 
trigger1 = StateNo = 125
var(18) = 1120

[State -1, 412C]
type = VarSet
triggerall = command = "412c" || command = "421c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = fvar(12) = 4
trigger1 = StateNo = 125
var(18) = 1120

[State -1, 236A]
type = VarSet
triggerall = command = "236a"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = NumHelper(20000) = 0
triggerall = fvar(12) = 0
trigger1 = StateNo = 125
var(18) = 1300

[State -1, 236B]
type = VarSet
triggerall = command = "236b"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = NumHelper(20000) = 0
triggerall = fvar(12) = 0
trigger1 = StateNo = 125
var(18) = 1310

[State -1, 236C]
type = VarSet
triggerall = command = "236c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = fvar(16) != [2,3]
triggerall = NumHelper(20000) = 0
triggerall = fvar(12) = 0
trigger1 = StateNo = 125
var(18) = 1310

[State -1, 236C]
type = VarSet
triggerall = command = "236c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = (fvar(16) = 2 && fvar(15) > 100) || fvar(16) = 3 
triggerall = NumHelper(20000) = 0
triggerall = fvar(12) = 0
trigger1 = StateNo = 125
var(18) = 1320

[State -1, 214A]
type = VarSet
triggerall = command = "214a"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = NumHelper(20000) = 0
triggerall = fvar(12) = 0
trigger1 = StateNo = 125
var(18) = 1500

[State -1, 214A]
type = VarSet
triggerall = command = "214a"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = NumHelper(20000) = 0
triggerall = fvar(12) = 4
trigger1 = StateNo = 125
var(18) = 7200

[State -1, 214B]
type = VarSet
triggerall = command = "214b"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = NumHelper(20000) = 0
triggerall = fvar(12) = 0
trigger1 = StateNo = 125
var(18) = 1510

[State -1, 214B]
type = VarSet
triggerall = command = "214b"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = NumHelper(20000) = 0
triggerall = fvar(12) = 4
trigger1 = StateNo = 125
var(18) = 7210

[State -1, 214C]
type = VarSet
triggerall = command = "214c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = NumHelper(20000) = 0
triggerall = fvar(12) = 0
trigger1 = StateNo = 125
var(18) = 1520

[State -1, 214C]
type = VarSet
triggerall = command = "214c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = NumHelper(20000) = 0
triggerall = fvar(12) = 4
trigger1 = StateNo = 125
var(18) = 7220

;----------------------------------------------------------------------
; Super Special Moves
;----------------------------------------------------------------------

[State -1, 236236A]
type = VarSet
triggerall = command = "236236a"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = Power >= 1000
trigger1 = StateNo = 125
var(18) = 6100

[State -1, 236236A]
type = VarSet
triggerall = command = "236236b" || command = "236236c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = Power = [1000,1999]
trigger1 = StateNo = 125
var(18) = 6100

[State -1, 236236B]
type = VarSet
triggerall = command = "236236b"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = Power >= 2000
trigger1 = StateNo = 125
var(18) = 6110

[State -1, 236236B]
type = VarSet
triggerall = command = "236236c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = Power = [2000,2999]
trigger1 = StateNo = 125
var(18) = 6110

[State -1, 236236B]
type = VarSet
triggerall = command = "236236c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = Power >= 3000
trigger1 = StateNo = 125
var(18) = 6120

[State -1, 214214A]
type = VarSet
triggerall = command = "214214a"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = NumHelper(20000) >= 1
triggerall = Helper(20000),StateNo = 20000
triggerall = fvar(12) = 1
triggerall = Power >= 1000
trigger1 = StateNo = 125
var(18) = 6050

[State -1, 214214A]
type = VarSet
triggerall = command = "214214b" || command = "214214c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = NumHelper(20000) = 1
triggerall = Helper(20000),StateNo = 20000
triggerall = fvar(12) = 1
triggerall = Power = [1000,1999]
trigger1 = StateNo = 125
var(18) = 6050

[State -1, 214214B]
type = VarSet
triggerall = command = "214214b"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = NumHelper(20000) = 1
triggerall = Helper(20000),StateNo = 20000
triggerall = fvar(12) = 1
triggerall = Power >= 2000
trigger1 = StateNo = 125
var(18) = 6060

[State -1, 214214B]
type = VarSet
triggerall = command = "214214c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = NumHelper(20000) = 1
triggerall = Helper(20000),StateNo = 20000
triggerall = fvar(12) = 1
triggerall = Power = [2000,2999]
trigger1 = StateNo = 125
var(18) = 6060

[State -1, 214214C]
type = VarSet
triggerall = command = "214214c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = NumHelper(20000) = 1
triggerall = Helper(20000),StateNo = 20000
triggerall = fvar(12) = 1
triggerall = Power >= 3000
trigger1 = StateNo = 125
var(18) = 6070

[State -1, 214214A]
type = VarSet
triggerall = command = "214214a"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = NumHelper(20000) = 0
triggerall = fvar(12) = 0
triggerall = Power >= 1000
trigger1 = StateNo = 125
var(18) = 6000

[State -1, 214214A]
type = VarSet
triggerall = command = "214214b" || command = "214214c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = NumHelper(20000) = 0
triggerall = fvar(12) = 0
triggerall = Power = [1000,1999]
trigger1 = StateNo = 125
var(18) = 6000

[State -1, 214214B]
type = VarSet
triggerall = command = "214214b"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = NumHelper(20000) = 0
triggerall = fvar(12) = 0
triggerall = Power >= 2000
trigger1 = StateNo = 125
var(18) = 6010

[State -1, 214214B]
type = VarSet
triggerall = command = "214214c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = NumHelper(20000) = 0
triggerall = fvar(12) = 0
triggerall = Power = [2000,2999]
trigger1 = StateNo = 125
var(18) = 6010

[State -1, 214214B]
type = VarSet
triggerall = command = "214214c"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = NumHelper(20000) = 0
triggerall = fvar(12) = 0
triggerall = Power >= 3000
trigger1 = StateNo = 125
var(18) = 6020

;----------------------------------------------------------------------
; Hyper Special Moves
;----------------------------------------------------------------------

[State -1, AA6BC]
type = VarSet
triggerall = command = "236236z"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = NumHelper(20000) = 0
triggerall = fvar(12) = 0
triggerall = ((Life*100)/LifeMax) <= 33
triggerall = Power >= 3000
trigger1 = StateNo = 125
var(18) = 7000

[State -1, AA6BC]
type = VarSet
triggerall = command = "236236z"
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !isHelper
triggerall = NumHelper(20000) = 0
triggerall = fvar(12) = 4
triggerall = ((Life*100)/LifeMax) <= 33
trigger1 = StateNo = 125
var(18) = 7300

